Change the current user's password
POST
/v1/auth/password
const url = 'https://api.wirevod.online/v1/auth/password';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"current_password":"correct-horse-battery-staple","new_password":"a-much-stronger-passphrase"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.wirevod.online/v1/auth/password \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "current_password": "correct-horse-battery-staple", "new_password": "a-much-stronger-passphrase" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
current_password
required
string
new_password
required
string
Example
{ "current_password": "correct-horse-battery-staple", "new_password": "a-much-stronger-passphrase"}Responses
Section titled “ Responses ”Password changed; all sessions and access tokens revoked.
The request was malformed or failed validation.
Media typeapplication/json
object
error
required
string
code
required
string
message
required
string
details
Example
{ "error": "invalid_request", "code": "invalid_request", "message": "asset_id is required"}Missing or invalid credentials.
Media typeapplication/json
object
error
required
string
code
required
string
message
required
string
details
Example
{ "error": "unauthorized", "code": "unauthorized", "message": "Authentication required"}